org.apache.sling.bgservlets.impl

## Class JobConsoleImpl

- java.lang.Object
- - org.apache.sling.bgservlets.impl.JobConsoleImpl

All Implemented Interfaces:
  JobConsole

    @Service
    public class JobConsoleImpl
    extends Object
    implements JobConsole

JobConsole implementation

### Field Summary

Fields
`static String` `JOB_QUERY`

### Constructor Summary

Constructors
Constructor and Description
`JobConsoleImpl()`

### Method Summary

Methods
`protected void` `activate(org.osgi.framework.BundleContext ctx, Map<String,Object> props)`
`protected void` `deactivate()`
`Iterator<JobStatus>` `getJobStatus(javax.jcr.Session session, boolean activeOnly)` Return Iterator on JobStatus, in descending order of creation date.
`JobStatus` `getJobStatus(javax.jcr.Session session, String path)` Return a single JobStatus, null if not found.
`String` `getJobStatusPagePath(javax.servlet.http.HttpServletRequest request, JobStatus jobStatus, String extension)` Return the full path, including extension, to the job's status page.
`String` `getJobStreamPath(javax.servlet.http.HttpServletRequest request, JobStatus jobStatus)` Return the full path, including extension, to the job's stream

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JOB_QUERY

    public static final String JOB_QUERY

See Also:
  Constant Field Values

### Constructor Detail

#### JobConsoleImpl

    public JobConsoleImpl()

### Method Detail

#### getJobStatus

    public Iterator<JobStatus> getJobStatus(javax.jcr.Session session,
                                   boolean activeOnly)

Description copied from interface: `JobConsole`
Return Iterator on JobStatus, in descending order of creation date.

Specified by:
  `getJobStatus` in interface `JobConsole`
Parameters:
  `session` - not used if activeOnly = true
  `activeOnly` - if true, only jobs that are currently active in the ExecutionEngine are returned.

#### activate

    @Activate
    protected void activate(org.osgi.framework.BundleContext ctx,
                         Map<String,Object> props)

#### deactivate

    @Deactivate
    protected void deactivate()

#### getJobStatus

    public JobStatus getJobStatus(javax.jcr.Session session,
                         String path)

Description copied from interface: `JobConsole`
Return a single JobStatus, null if not found.

Specified by:
  `getJobStatus` in interface `JobConsole`
Parameters:
  `session` - Session to use if reading from persistent storage
  `path` - the job path

#### getJobStatusPagePath

    public String getJobStatusPagePath(javax.servlet.http.HttpServletRequest request,
                              JobStatus jobStatus,
                              String extension)

Description copied from interface: `JobConsole`
Return the full path, including extension, to the job's status page.

Specified by:
  `getJobStatusPagePath` in interface `JobConsole`

#### getJobStreamPath

    public String getJobStreamPath(javax.servlet.http.HttpServletRequest request,
                          JobStatus jobStatus)

Description copied from interface: `JobConsole`
Return the full path, including extension, to the job's stream

Specified by:
  `getJobStreamPath` in interface `JobConsole`